plugins {
    kotlin("jvm") version "2.0.20"
    kotlin("plugin.serialization") version "2.0.20"
    application
}

repositories {
    mavenCentral()
}

dependencies {
    implementation("org.jetbrains.kotlin:kotlin-stdlib")
    implementation("io.ktor:ktor-server-auto-head-response:3.0.3")
    implementation("io.ktor:ktor-server-status-pages:3.0.3")
    implementation("io.ktor:ktor-server-call-id:3.0.3")
    implementation("io.ktor:ktor-server-double-receive:3.0.3")
    implementation("io.ktor:ktor-server-netty:3.0.3")
    implementation("io.ktor:ktor-server-core:3.0.3")
    implementation("io.ktor:ktor-server-host-common:3.0.3")
    implementation("io.ktor:ktor-server-default-headers:3.0.3")
    implementation("io.ktor:ktor-server-content-negotiation:3.0.3")
    implementation("io.ktor:ktor-serialization-kotlinx-json:3.0.3")
    implementation("io.ktor:ktor-server-call-logging:3.0.3")
    implementation("org.jetbrains.kotlinx:kotlinx-serialization-json:1.7.3")
    implementation("org.rocksdb:rocksdbjni:9.7.3")
    implementation("com.squareup.okhttp3:okhttp:4.12.0")
    implementation("com.squareup.okhttp3:logging-interceptor:4.12.0")
    implementation("com.google.firebase:firebase-admin:9.4.2")
    implementation("org.springframework.boot:spring-boot-starter:3.4.1")
    implementation("org.springframework.boot:spring-boot-starter-web:3.4.1")
    implementation("com.sun.mail:javax.mail:1.6.2")
    implementation("javax.mail:javax.mail-api:1.6.2")
    implementation("org.slf4j:slf4j-simple:2.0.9")
    
}

application {
    mainClass.set("com.example.ApplicationKt")
}

tasks.withType<org.jetbrains.kotlin.gradle.tasks.KotlinCompile> {
    kotlinOptions {
        jvmTarget = "18"
    }
}

tasks.withType<JavaCompile> {
    options.release.set(18)
}

tasks.register<JavaExec>("runApplication") {
    group = "application"
    description = "Runs the server"
    classpath = sourceSets["main"].runtimeClasspath
    mainClass.set("com.example.ApplicationKt")
}

tasks.register<JavaExec>("runInspectRocksDB") {
    group = "application"
    description = "Runs the RocksDB inspection tool"
    classpath = sourceSets["main"].runtimeClasspath
    mainClass.set("com.example.InspectRocksDBKt")
}

tasks.register<JavaExec>("runRefreshRocksDB") {
    group = "application"
    description = "Refreshes the RocksDB database"
    classpath = sourceSets["main"].runtimeClasspath
    mainClass.set("com.example.ClearRocksDBKt")
}

