package com.example

import org.rocksdb.Options
import org.rocksdb.RocksDB
import org.rocksdb.RocksIterator

fun main() {
    RocksDB.loadLibrary()

    val options = Options().setCreateIfMissing(true)
    val dbPath = "data/rocksdb" 

    try {
        RocksDB.open(options, dbPath).use { db ->
            val iterator: RocksIterator = db.newIterator()
            iterator.seekToFirst()

            while (iterator.isValid) {
                db.delete(iterator.key())
                iterator.next()
            }
            println("Database cleared successfully.")
        }
    } catch (e: Exception) {
        e.printStackTrace()
    } finally {
        options.close()
    }
}