package com.example.firebaseauth.auth

import com.google.firebase.auth.FirebaseUser

// Represents the authentication state of the user (if he's authenticated or not yet)
sealed class AuthState {
    data object Loading : AuthState()
    data class Authenticated(val user: FirebaseUser) : AuthState()
    data object Unauthenticated : AuthState()
}