package com.example.firebaseauth.navigation

import android.annotation.SuppressLint
import androidx.compose.runtime.Composable
import androidx.navigation.NavHostController
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import com.example.firebaseauth.ui.theme.MainPage
import com.example.firebaseauth.auth.AuthViewModel
import com.example.firebaseauth.ui.theme.AuthScreen

@SuppressLint("NewApi") // warnings
@Composable
fun NavGraph(navController: NavHostController, authViewModel: AuthViewModel, startDestination: String) {
    NavHost(navController = navController, startDestination = startDestination) {
        composable("auth") {
            AuthScreen(viewModel = authViewModel)
        } // user not authenticated needs to authenticate via this page
        composable("main") {
            MainPage(navController = navController, authViewModel = authViewModel)
        } // authenticated user main page + sign out

    }
}